import { IFiniteAutomaton, InputFiniteAutomaton, TransformedFiniteAutomaton } from '../types';
import { FiniteAutomaton } from './FiniteAutomaton';
declare type IMergedDfaOptions = Partial<Pick<Pick<IFiniteAutomaton, 'automaton'>['automaton'], 'label' | 'description'> & {
    separator: string;
}>;
export declare class DeterministicFiniteAutomaton extends FiniteAutomaton {
    #private;
    constructor(testLogic: (inputString: string, automatonTestResult: boolean) => boolean, automaton: InputFiniteAutomaton | TransformedFiniteAutomaton, automatonId?: string);
    AND(dfaModule: DeterministicFiniteAutomaton, mergedDfaOptions: IMergedDfaOptions): DeterministicFiniteAutomaton;
    NOT(mergedDfaOptions: IMergedDfaOptions): DeterministicFiniteAutomaton;
    OR(dfaModule: DeterministicFiniteAutomaton, mergedDfaOptions: IMergedDfaOptions): DeterministicFiniteAutomaton;
}
export {};
