import { DeterministicFiniteAutomaton } from './DeterministicFiniteAutomaton';
interface IOutputFiles {
    case: boolean;
    incorrect: boolean;
    correct: boolean;
    input: boolean;
    aggregate: boolean;
    accepted: boolean;
    rejected: boolean;
}
declare type IOption = {
    type: 'generate';
    random?: {
        total: number;
        minLength: number;
        maxLength: number;
    };
    range?: undefined | null;
    outputFiles?: Partial<IOutputFiles>;
} | {
    type: 'generate';
    range: {
        maxLength: number;
    };
    random?: undefined | null;
    outputFiles?: Partial<IOutputFiles>;
} | {
    type: 'file';
    filePath: string;
    outputFiles?: Partial<IOutputFiles>;
} | {
    type: 'custom';
    inputs: string[];
    outputFiles?: Partial<IOutputFiles>;
};
interface IConfig {
    automaton: DeterministicFiniteAutomaton;
    options: IOption;
}
export declare class FiniteAutomataTest {
    #private;
    constructor(logsPath: string);
    test(configs: IConfig[]): Promise<void>;
}
export {};
