"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenerateString = void 0;
const generateRandomNumber_1 = __importDefault(require("../utils/generateRandomNumber"));
class GenerateString {
    static generateAllCombosWithinLength(alphabets, maxLength, cb) {
        const generatedStrings = new Set();
        for (let length = 1; length <= maxLength; length++) {
            generateAllKLength('', length);
        }
        function generateAllKLength(generatedString, stringLength) {
            if (stringLength === 0) {
                generatedStrings.add(generatedString);
                cb && cb(generatedString);
                return;
            }
            for (let i = 0; i < alphabets.length; i++) {
                generateAllKLength(generatedString + alphabets[i], stringLength - 1);
            }
        }
        return Array.from(generatedStrings);
    }
    static generateRandomUnique(total, minLength, maxLength, initialInputStrings) {
        const uniqueRandomInputStrings = new Set(initialInputStrings ?? []);
        while (uniqueRandomInputStrings.size + (initialInputStrings ?? []).length < total) {
            const inputStringLength = (0, generateRandomNumber_1.default)(minLength, maxLength);
            let randomInputString = '';
            for (let index = 0; index < inputStringLength; index++) {
                randomInputString += (0, generateRandomNumber_1.default)(0, 1);
            }
            if (!uniqueRandomInputStrings.has(randomInputString)) {
                uniqueRandomInputStrings.add(randomInputString);
            }
        }
        return Array.from(uniqueRandomInputStrings);
    }
}
exports.GenerateString = GenerateString;
