export interface InputFiniteAutomaton {
    append?: string;
    alphabets: string[];
    label: string;
    description?: string;
    start_state: string | number;
    final_states: (string | number)[];
    states: (string | number)[];
    transitions: Record<string | number, (Array<string | number> | (string | number) | null)[] | 'loop'>;
    epsilon_transitions?: Record<string, string[]>;
}
export interface TransformedFiniteAutomaton {
    append?: string;
    alphabets: string[];
    label: string;
    description?: string;
    start_state: string;
    final_states: string[];
    states: string[];
    transitions: Record<string, Record<string, string[]>>;
    epsilon_transitions: null | Record<string, string[]>;
}
export interface IFiniteAutomaton {
    testLogic: (inputString: string) => boolean;
    automaton: TransformedFiniteAutomaton;
}
export interface FiniteAutomatonTestInfo {
    falsePositives: number;
    falseNegatives: number;
    truePositives: number;
    trueNegatives: number;
}
export declare type TFiniteAutomatonType = 'deterministic' | 'non-deterministic';
export interface GraphNode {
    name: string;
    state: string;
    symbol: null | string;
    children: GraphNode[];
    depth: number;
    string: string;
}
